# Record TCefApp

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefApp = record`

## Description

Implement this structure to provide handler implementations. Methods will be called by the process and/or thread indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefApp.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_app_capi.h">CEF source file: /include/capi/cef_app_capi.h (cef_app_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_before_command_line_processing: procedure(self: PCefApp; const process_type: PCefString; command_line: PCefCommandLine); stdcall;`
| `on_register_custom_schemes: procedure(self: PCefApp; registrar: PCefSchemeRegistrar); stdcall;`
| `get_resource_bundle_handler: function(self: PCefApp): PCefResourceBundleHandler; stdcall;`
| `get_browser_process_handler: function(self: PCefApp): PCefBrowserProcessHandler; stdcall;`
| `get_render_process_handler: function(self: PCefApp): PCefRenderProcessHandler; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_before_command_line_processing: procedure(self: PCefApp; const process_type: PCefString; command_line: PCefCommandLine); stdcall;`
This item has no description.

| `on_register_custom_schemes: procedure(self: PCefApp; registrar: PCefSchemeRegistrar); stdcall;`
This item has no description.

| `get_resource_bundle_handler: function(self: PCefApp): PCefResourceBundleHandler; stdcall;`
This item has no description.

| `get_browser_process_handler: function(self: PCefApp): PCefBrowserProcessHandler; stdcall;`
This item has no description.

| `get_render_process_handler: function(self: PCefApp): PCefRenderProcessHandler; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.